Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion.util
Class StatusEnum

    java.lang.Object
      com.verisign.epp.codec.suggestion.util.Enum
          com.verisign.epp.codec.suggestion.util.StatusEnum

All Implemented Interfaces:
  java.io.Serializable

    public class StatusEnum

extends Enum

An enumeration of the types of statuses. This is used only to generate random statuses for the unit test. The server can add or remove statuses so this list is not authoritative.

Author:
  jcolosi
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `STATUS_AVAILABLE`
`static java.lang.String` | `STATUS_FORSALE`
`static java.lang.String` | `STATUS_REGISTERED`
`static java.lang.String` | `STATUS_UNKNOWN`

Fields inherited from class com.verisign.epp.codec.suggestion.util.Enum
`key, NONE, NONE_STRING`

Constructor Summary
`StatusEnum()` Constructor.
`StatusEnum(java.lang.String aValue)` Constructor.

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String[]` | `getData()` Get the possible enum data.
`static java.lang.String` | `getRandomString()` Return a random enum value.

Methods inherited from class com.verisign.epp.codec.suggestion.util.Enum
`equals, get, isSet, set, set, toLogString, toString, unset`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STATUS_AVAILABLE

    public static final java.lang.String STATUS_AVAILABLE

See Also:
  Constant Field Values

### STATUS_FORSALE

    public static final java.lang.String STATUS_FORSALE

See Also:
  Constant Field Values

### STATUS_REGISTERED

    public static final java.lang.String STATUS_REGISTERED

See Also:
  Constant Field Values

### STATUS_UNKNOWN

    public static final java.lang.String STATUS_UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### StatusEnum

    public StatusEnum()

  Constructor.

### StatusEnum

    public StatusEnum(java.lang.String aValue)
               throws InvalidValueException

  Constructor.

  Parameters:
    `aValue` - enum value
  Throws:
    `InvalidValueException`

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Specified by:
    `clone` in class `Enum`
  Throws:
    `java.lang.CloneNotSupportedException`

### getData

    public java.lang.String[] getData()

  Description copied from class: `Enum`
  Get the possible enum data.

  Specified by:
    `getData` in class `Enum`
  Returns:
    enum data

### getRandomString

    public static java.lang.String getRandomString()

  Return a random enum value.

  Returns:
    a random enum value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.